Subject: Re: bug#65183: 29.1; Child frame moving and resizing problems

From: martin rudalics <[email-masked]>
Date: Sat, 12 Aug 2023 08:52:16 +0200

> By the way, I noticed that (though I believe you have read it),
 > the GTK doc says "(gdk_window_move_resize) avoids strange visual effects.
 > i.e. the user may be able to see the window first move, then resize,
 > if you don’t use gdk_window_move_resize().". That is exactly what I saw.

I think nobody would oppose the addition of a function like
'set-frame-size-and-position'.  On other X platforms we would end up
calling XMoveResizeWindow and on Windows MoveWindow.  Where we don't
find a suitable back-end we'd have to use two calls.  Could you try
writing it?

martin